Bug 1415674 - [PATCH] selinux-autorelabel: remove incorrect redirection to /dev/null
Summary: [PATCH] selinux-autorelabel: remove incorrect redirection to /dev/null
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 12:13 UTC by Alan Jenkins
Modified: 2017-11-16 19:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-16 19:36:45 UTC
Type: Bug


Attachments (Terms of Use)
[PATCH] selinux-autorelabel: remove incorrect redirection to /dev/null (1.47 KB, patch)
2017-01-23 12:13 UTC, Alan Jenkins
no flags Details | Diff

Description Alan Jenkins 2017-01-23 12:13:15 UTC
Created attachment 1243563 [details]
[PATCH] selinux-autorelabel: remove incorrect redirection to  /dev/null

Patch v.s. policycoreutils-2.5-19.fc25.src.rpm

This code is currently incorrect.  Currently redirecting `fixfiles` to
/dev/null will have very little effect.  Two messages will be suppressed,
but both the percentage progress indicator, and any errors from
the setfiles/restorecon binary will still be shown.

The fact that fixfiles redirected its log output to stdin (!) was purely
an implementation artefact.  It was used to write log messages even inside
shell functions whose output is captured e.g. `RESULT=$(shell_func)`.

When fixfiles is fixed to support output redirection normally, this code
would now behave incorrectly.  It would suppress all percentage progress
messages for this long-running process.

Comment 1 Petr Lautrbach 2017-04-06 11:47:57 UTC
Applied. Thanks!

Comment 2 Petr Lautrbach 2017-04-06 15:32:28 UTC
policycoreutils-2.6-5.fc27 - https://koji.fedoraproject.org/koji/taskinfo?taskID=18820403

Comment 3 Fedora Update System 2017-04-06 16:16:04 UTC
policycoreutils-2.6-5.fc26 libselinux-2.6-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f21a1bffda

Comment 4 Fedora Update System 2017-04-07 21:20:45 UTC
libselinux-2.6-5.fc26, policycoreutils-2.6-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f21a1bffda

Comment 5 Fedora Update System 2017-04-12 14:50:45 UTC
libselinux-2.6-5.fc26, policycoreutils-2.6-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora End Of Life 2017-11-16 18:53:46 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Alan Jenkins 2017-11-16 19:36:45 UTC
The fix is applied in F26.  I doubt it will be backported to F25 in the next 4 weeks, so I am closing the bug now.


Note You need to log in before you can comment on or make changes to this bug.